Bug 856508 - ovirt-engine-restapi : RSDL does not document VM CPU pinning
ovirt-engine-restapi : RSDL does not document VM CPU pinning
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michael Pasternak
Ido Begun
sla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 03:47 EDT by Oded Ramraz
Modified: 2016-02-10 15:16 EST (History)
9 users (show)

See Also:
Fixed In Version: si20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Ramraz 2012-09-12 03:47:42 EDT
Description of problem:

There is no way to define VM CPU pinning topology using Rest API , need to add it to RSDL . 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Ido Begun 2012-11-13 09:12:16 EST
OK - SI24

CPU pinning topology is now listed in API; for example:
<cpu>
<topology sockets="1" cores="1"/>
<cpu_tune>
<vcpu_pin vcpu="0" cpu_set="1-4,^2"/>
</cpu_tune>
</cpu>
Comment 4 Michael Pasternak 2012-11-13 10:30:37 EST
(In reply to comment #3)
> OK - SI24
> 
> CPU pinning topology is now listed in API; for example:
> <cpu>
> <topology sockets="1" cores="1"/>
> <cpu_tune>
> <vcpu_pin vcpu="0" cpu_set="1-4,^2"/>
> </cpu_tune>
> </cpu>

api existence of the "CPU pinning" element is not related to this bug, please 
vitrify that it's described in the RSDL.
Comment 5 Oded Ramraz 2012-11-13 13:40:28 EST
<parameter required="false" type="collection">
<name>vm.cpu.cpu_tune.vcpu_pin</name>
<parameters_set>
<parameter required="false" type="xs:int">
<name>vcpu_pin.vcpu</name>
</parameter>
<parameter required="false" type="xs:string">
<name>vcpu_pin.cpu_set</name>
</parameter>

<parameter required="false" type="collection">
<name>template.cpu.cpu_tune.vcpu_pin</name>
<parameters_set>
<parameter required="false" type="xs:int">
<name>vcpu_pin.vcpu</name>
</parameter>
<parameter required="false" type="xs:string">
<name>vcpu_pin.cpu_set</name>
</parameter>

Found it in rsdl 
moving to verified  
si24.1

Note You need to log in before you can comment on or make changes to this bug.